using System;
using System.Windows.Forms;
using UmbracoXsltEditor.Properties;

namespace UmbracoXsltEditor.Forms
{
    public partial class ConnectBox : Form
    {
        public ConnectBox()
        {
            InitializeComponent();

            //Set the values
            tbUsername.Text = Settings.Default.Username;
            tbPassword.Text = Settings.Default.Password;
            tbUrl.Text = Settings.Default.UmbracoXsltEditor_Umbraco_FileService_fileService;
        }

        private void btnConnect_Click(object sender, EventArgs e)
        {
            Settings.Default.Username = tbUsername.Text;
            Settings.Default.Password = tbPassword.Text;
            Settings.Default.UmbracoXsltEditor_Umbraco_FileService_fileService
                = tbUrl.Text;
            Settings.Default.Save();
        }
    }
}