using System;
using System.Collections.Generic;
using System.Reflection;
using System.Windows.Forms;
using UmbracoXsltEditor.Forms;

namespace UmbracoXsltEditor
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            try
            {
                Application.EnableVisualStyles();
                Application.SetCompatibleTextRenderingDefault(false);
                Application.Run(new Main());
            }
            catch(Exception ex)
            {
                string location = Assembly.GetExecutingAssembly().Location;

                MessageBox.Show(ex.Message + "\n " 
                    + ex.StackTrace + "\n "
                    + location);
            }
        }
    }
}